Bug report #18997

Pip in Python 3.6 under QGIS 3.0.3 doesn't work

Added by Michal Hala over 2 years ago. Updated over 2 years ago.

Status:Open
Priority:Normal
Assignee:-
Category:PyQGIS Console
Affected QGIS version:3.0.3 Regression?:No
Operating System:Windows 10 Home Easy fix?:No
Pull Request or Patch supplied:No Resolution:
Crashes QGIS or corrupts data:No Copied to github as #:26828

Description

Pip in Python 3.6 under QGIS 3.0.3 doesn't work. After typing: pip install some module in command prompt or in PyQGIS console pip produces this error message: Fatal error in launcher: Unable to create process using '"'

This is very bad because user cannot install third party modules (extensions) to Python 3.6.

History

#1 Updated by Harrissou Santanna over 2 years ago

Just discovered it last night (check qgis-developer mailing-list), try python3 -m pip install yourmodule

#2 Updated by Michal Hala over 2 years ago

Sorry, doesn't work too. :-(

Also available in: Atom PDF